org.keycloak.services.clientregistration.policy

## Class ClientRegistrationPolicyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.keycloak.services.clientregistration.policy.ClientRegistrationPolicyException

- All Implemented Interfaces:
    Serializable

      public class ClientRegistrationPolicyException
      extends RuntimeException

  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientRegistrationPolicyException(String message)`
    `ClientRegistrationPolicyException(String message, Throwable throwable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`
    `ComponentModel` | `getPolicyModel()`
    `void` | `setPolicyModel(ComponentModel policyModel)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientRegistrationPolicyException

          public ClientRegistrationPolicyException(String message)

    - #### ClientRegistrationPolicyException

          public ClientRegistrationPolicyException(String message,
                                                   Throwable throwable)

  - ### Method Detail

    - #### getPolicyModel

          public ComponentModel getPolicyModel()

    - #### setPolicyModel

          public void setPolicyModel(ComponentModel policyModel)

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

Copyright © 2021 JBoss by Red Hat. All rights reserved.